# Review Request:
# https://bugzilla.redhat.com/show_bug.cgi?id=432613

Name:           kgrab
Version:        0.1.1
Release:        6%{?dist}
Summary:        A screen grabbing utility

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://extragear.kde.org
Source0:        ftp://ftp.kde.org/pub/kde/stable/4.0.1/src/extragear/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel >= 4
BuildRequires:  kde-filesystem >= 4
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: kdelibs4 >= 4
Requires: oxygen-icon-theme
Requires(post): xdg-utils
Requires(postun): xdg-utils

%description
kgrab is a screen grabbing utility for KDE.

%prep
%setup -q

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# validate desktop file
desktop-file-install --vendor ""                          \
        --dir %{buildroot}%{_datadir}/applications/kde4   \
        %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC COPYING.LIB
%{_kde4_bindir}/kgrab
%{_datadir}/applications/kde4/kgrab.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kgrab.xml
%{_kde4_iconsdir}/hicolor/*/apps/kgrab.*
%{_kde4_datadir}/kde4/apps/kgrab/kgrabui.rc


%changelog
* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.1.1-6
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.1.1-5
- rebuild for NDEBUG and _kde4_libexecdir

* Thu Feb 14 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-4
- remove reference to KDE 4 in summary and description

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-3
- added Requires: kdelibs4 >= 4
- added Requires: oxygen-icon-theme

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-2
- added requires xdg-utils, kde4-macros(api)

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-1
- initial version
